Bug 4947

Summary: glibc 2.1.1 unsetenv has off-by-one error
Product: [Retired] Red Hat Linux Reporter: tymm
Component: glibcAssignee: Cristian Gafton <gafton>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0Keywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-09-17 11:41:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description tymm 1999-09-06 23:33:38 UTC
if two environment variables w/same name come consecutively,
the second won't be purged.  Response from glibc development
folks is "get glibc 2.1.2".  A number of security related
packages depend on the function, so it's rather important
that it works right.

Comment 1 Cristian Gafton 1999-09-17 11:41:59 UTC
glibc 2.1.2 will be released in the next version of Red Hat Linux.
This bug alone does not mandate an errata.